package com.jaytux.simd

import io.github.cdimascio.dotenv.dotenv

object DotEnv {
    val env = dotenv()

    operator fun get(name: String) = env[name]

    class DotEnvException(missing: String) : RuntimeException("Missing environment variable: $missing") {
        constructor(missing: String, cause: Throwable) : this(missing) {
            initCause(cause)
        }
    }
}